<!DOCTYPE html>
<html>
	<head>

		<!-- Responsive Meta Tag -->
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<!-- Bootstrap Link -->
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
		<!-- Custom/External CSS -->
		<!-- <link rel="stylesheet" type="text/css" href="./index.css"> -->

		
		<title>Bootstrap Grid System</title>
	</head>
	<body class="text-center my-5">
		<h1>Bootstrap Grid System</h1>

		<h2>Two Columns</h2>
		<div class="container-fluid">
			<h3>1:1 Ratio</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-6">
					6 Col
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-6">
					6 Col
				</div>
			</div>

			<h3>1:2 Ratio</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">
					4 Col
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-8">
					8 Col
				</div>
			</div>

			<h3>1:3 Ratio</h3>

			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-3">
					3 Col
				</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-9">
					9 Col
				</div>
			</div>
		</div>

		<h3>Three Columns</h3>
		<div class="container-fluid">
			
			<h3>1:1:1 Ratio</h3>
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Col 4</div>
				<div class="bg-danger pt-3 pb-3 border border-dark col-4">Col 4</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Col 4</div>
			</div>

			<h3>1:2:1 Ratio</h3>
			<div class="text-light row">
				<div class="bg-danger pt-3 pb-3 border border-dark col-3">Col 3</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-6">Col 6</div>
				<div class="bg-danger pt-3 pb-3 border border-dark col-3">Col 3</div>
			</div>

			<h3>Uneven Ratio</h3>
			<div class="text-light row">
				<div class="bg-info pt-3 pb-3 border border-dark col-3">Col 3</div>
				<div class="bg-warning pt-3 pb-3 border border-dark col-7">Col 7</div>
				<div class="bg-info pt-3 pb-3 border border-dark col-2">Col 2</div>
			</div>
		</div>

		<h3>Automatic Sizing</h3>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-success pt-3 pb-3 border border-dark col">Auto </div>
				<div class="bg-warning pt-3 pb-3 border border-dark col">Auto </div>
				<div class="bg-success pt-3 pb-3 border border-dark col">Auto </div>
				<div class="bg-warning pt-3 pb-3 border border-dark col">Auto </div>
				<div class="bg-success pt-3 pb-3 border border-dark col">Auto </div>
			</div>
		</div>

		<h3>Mobile Responsive Columns</h3>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-danger pt-3 pb-3 border border-dark col-sm-6 col-md-4 col-lg-2">Responsive</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-sm-6 col-md-8 col-lg-10">Responsive</div>
			</div>
		</div>

		<h3>Multi Column Layouts</h3>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 1</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 2</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 3</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 4</div>
				<div class="bg-primary pt-3 pb-3 border border-dark col-4">Catalog 5</div>
				<div class="bg-secondary pt-3 pb-3 border border-dark col-4">Catalog 6</div>
			</div>
		</div>

		<h3>Off Setting Columns</h3>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-success pt-3 pb-3 border border-dark offset-2 col-6">Offset Column</div>
				<div class="bg-success pt-3 pb-3 border border-dark offset-md-3 col-6">Offset Column</div>
				<div class="bg-success pt-3 pb-3 border border-dark offset-lg-4 col-6">Offset Column</div>
			</div>
		</div>

		<h3>Column Orders</h3>
		<div class="container-fluid">
			<div class="text-light row">
				<div class="bg-info pt-3 pb-3 border border-dark col order-2 order-md-1">Left</div>
				<div class="bg-success pt-3 pb-3 border border-dark col order-1 order-md-2">Right</div>
			</div>
		</div>



		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>

	</body>
</html>